/*
  Macro           get_drive_type_test
  Author          Carlo Hogeveen
  Website         ecarlo.nl/tse
  Version         v2.0.0.-1   (in development)
  Compatibility   Untested

  This file tests the function get_drive_type() from file get_drive_type.inc.

  Compile and run this macro, and it should produce a list of shares and drives
  and their drive type.

*/



#Include ["get_drive_type.inc"]


string drive_type_descriptions [56] = 'UNKNOWN NO_ROOT_DIR REMOVABLE FIXED REMOTE CDROM RAMDISK'


string proc get_description(integer drive_type)
  string result [MAXSTRINGLEN] = ''
  result = GetToken(drive_type_descriptions, ' ', drive_type + 1)
  return(result)
end get_description


proc Main()
  integer i                                     = 0
  NewFile()
  AddLine(Format('\\wsl$\Debian\Secrets.txt:';
                 get_drive_type('\\wsl$\Debian\Secrets.txt');
                 get_description(get_drive_type('\\wsl$\Debian\Secrets.txt'))))
  AddLine(Format('\\wsl$\Ubuntu\Secrets.txt:';
                 get_drive_type('\\wsl$\Ubuntu\Secrets.txt');
                 get_description(get_drive_type('\\wsl$\Ubuntu\Secrets.txt'))))
  AddLine(Format('\\wsl$\NonExist\Secrets.txt:';
                 get_drive_type('\\wsl$\NonExist\Secrets.txt');
                 get_description(get_drive_type('\\wsl$\NonExist\Secrets.txt'))))
  for i = Asc('A') to Asc('Z')
    AddLine(Format(Chr(i), ':';
                   get_drive_type(Chr(i) + ':');
                   get_description(get_drive_type(Chr(i) + ':'))))
  endfor
  BegFile()
  PurgeMacro(CurrMacroFilename())
end Main

